<?php
/*---------------------------------------------------------------*/
/*
    Titre : Afficher des Tweets - GET                                                                                     
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=1117
    Date dition     : 30 Sept 2019                                                                                       
    Date mise  jour : 06 Oct 2019
                                                                                       
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
    Date mise  jour : 15 Dc 2020
                                                                                       
    Rapport de la maj:                                                                                                    
    - ajout d'une démo                                                                                                   
*/
/*---------------------------------------------------------------*/

require "twitteroauth-master/autoload.php";
use Abraham\TwitterOAuth\TwitterOAuth;

define("CONSUMER_KEY","");
define("CONSUMER_SECRET","");
$access_token = "";
$access_token_secret = "";

$connection = new TwitterOAuth(CONSUMER_KEY, CONSUMER_SECRET, $access_token, 
$access_token_secret);

$TwitterAppName = ""; // Twitter App Name
$NombreDeTweets = 3; // Le nombre de tweets a remonter

// on va lire quelques tweets
$tweets = $connection->get('statuses/user_timeline', ['screen_name' => 
$TwitterAppName, 'count' => $NombreDeTweets]);


        /*  UN SEUL ELEMENT */

        // Le tableau
        echo "<pre>";
        print_r($tweets);
        echo "</pre>";

        // Date
        echo $tweets  [0]->created_at;
        // Texte
        echo $tweets  [0]->text;
        // Abonnés
        echo $tweets  [0]->user->followers_count;
        // Tweets
        echo $tweets  [0]->user->statuses_count;
        // Abonnements
        echo $tweets  [0]->user->friends_count;
        // URL du tweet
        $id = $tweets  [0]->id;
        echo 'https://twitter.com/' . $TwitterAppName . '/status/' . $id;

?>

<?php

      /*  PLUSIEURS ELEMENTS */

   foreach ($tweets as $current_tweet) { ?>
                                   
     <h5>tweet</h5>
     <p>
     <?php
     // DATE
     $date = $current_tweet->created_at;
     echo date("F d Y,  H:i A", strtotime($date));
     ?>
     </p>
                                                 
     <?php
     // URL DU TWEET
     $twitt_url = '#';
     if (!empty($current_tweet->id)) {
     $twitt_url = 'https://twitter.com/' . $TwitterAppName . '/status/' . 
$current_tweet->id;
     $twitter_target = 'target="_blank"';
     }
     ?>
     <a href="<?php echo $twitt_url; ?>" >
     URL du tweet
     </a>
                                              
     <p>
     <?php
     // TEXTE
     echo $current_tweet->text; ?>
     </p>

     <?php
     // IMAGE
     if (!empty($current_tweet->entities->media[0]->media_url)) { ?>
                                         
     <img src="<?php echo $current_tweet->entities->media[0]->media_url; ?>
" alt="" />
     <?php
     } ?>


     <p >
     <?php
     // ABONNEES
     echo $current_tweet->user->followers_count; ?>
     </p>


     <hr />
                                    
     <?php
     }
?>